KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# Quaternion Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

## Attributes
Marble.xmmfloat | v
## Methods
| __init__ (self)
| __init__ (self, float w, float x, float y, float z)
| __init__ (self, float lon, float lat)
| createFromEuler (self, float pitch, float yaw, float roll)
| display (self)
| getSpherical (self, float lon, float lat)
Marble.Quaternion | inverse (self)
| nlerp (self, Marble.Quaternion q1, Marble.Quaternion q2, float t)
| normalize (self)
Marble.Quaternion | operator * (self, Marble.Quaternion q)
| operator *= (self, Marble.Quaternion q)
bool | operator == (self, Marble.Quaternion q)
float | pitch (self)
float | roll (self)
| rotateAroundAxis (self, Marble.Quaternion q)
| rotateAroundAxis (self, Marble.matrix m)
| scalar (self, float mult)
| set (self, float w, float x, float y, float z)
| set (self, float lon, float lat)
| slerp (self, Marble.Quaternion q1, Marble.Quaternion q2, float t)
| toMatrix (self, Marble.matrix m)
float | yaw (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | float | w,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |  |

__init__ | ( | self, |
|  | float | lon,
|  | float | lat
| ) |  |  |

createFromEuler | ( | self, |
|  | float | pitch,
|  | float | yaw,
|  | float | roll
| ) |  |  |

display | ( |  | self ) |

getSpherical | ( | self, |
|  | float | lon,
|  | float | lat
| ) |  |  |

Marble.Quaternion inverse | ( |  | self ) |

nlerp | ( | self, |
|  | Marble.Quaternion | q1,
|  | Marble.Quaternion | q2,
|  | float | t
| ) |  |  |

normalize | ( |  | self ) |

Marble.Quaternion operator * | ( | self, |
|  | Marble.Quaternion | q
| ) |  |  |

operator *= | ( | self, |
|  | Marble.Quaternion | q
| ) |  |  |

bool operator == | ( | self, |
|  | Marble.Quaternion | q
| ) |  |  |

float pitch | ( |  | self ) |

float roll | ( |  | self ) |

rotateAroundAxis | ( | self, |
|  | Marble.Quaternion | q
| ) |  |  |

rotateAroundAxis | ( | self, |
|  | Marble.matrix | m
| ) |  |  |

scalar | ( | self, |
|  | float | mult
| ) |  |  |

set | ( | self, |
|  | float | w,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |  |

set | ( | self, |
|  | float | lon,
|  | float | lat
| ) |  |  |

slerp | ( | self, |
|  | Marble.Quaternion | q1,
|  | Marble.Quaternion | q2,
|  | float | t
| ) |  |  |

toMatrix | ( | self, |
|  | Marble.matrix | m
| ) |  |  |

float yaw | ( |  | self ) |

## Attribute Documentation

Marble.xmmfloat v